Bug 990749 - gdl test failures on arm, aarch64, ppc64le
gdl test failures on arm, aarch64, ppc64le
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdl (Show other bugs)
rawhide
arm Linux
unspecified Severity low
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker PPCTracker
  Show dependency treegraph
 
Reported: 2013-07-31 18:09 EDT by Orion Poplawski
Modified: 2017-01-30 06:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-30 06:41:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-07-31 18:09:48 EDT
Description of problem:

test 66
        Start  66: test_finite.pro
66: Test command: /builddir/build/BUILD/gdl-0.9.3/build/testsuite/launchtest "test_finite.pro"
66: Test timeout computed to be: 9.99988e+06
66: % Compiled module: TEST_FINITE.
66: % TEST_FINITE:        2 Errors founded when testing FINITE
 66/122 Test  #66: test_finite.pro ....................***Failed    0.31 sec
test 67
        Start  67: test_fix.pro
67: Test command: /builddir/build/BUILD/gdl-0.9.3/build/testsuite/launchtest "test_fix.pro"
67: Test timeout computed to be: 9.99988e+06
67: % Compiled module: TEST_FIX.
67: ---------------------------
67: Tested value :       1.00100
67: ---------------------------
67: Positive input
67: Number of tests done :           6
67: No errors founded
67: ---------------------------
67: Negative input
67: Number of tests done :           6
67: Number of errors       2
67: ---------------------------
67: Bad news ! At least one problem encoutered !
67: Please rerun this test with keyword /verbose !
67: ---------------------------
67: Tested value :       10.1000
67: ---------------------------
67: Positive input
67: Number of tests done :           6
67: No errors founded
67: ---------------------------
67: Negative input
67: Number of tests done :           6
67: Number of errors       2
67: ---------------------------
67: Bad news ! At least one problem encoutered !
67: Please rerun this test with keyword /verbose !
67: ---------------------------
67: Tested value :       1000.10
67: ---------------------------
67: Positive input
67: Number of tests done :           6
67: No errors founded
67: ---------------------------
67: Negative input
67: Number of tests done :           6
67: Number of errors       2
67: ---------------------------
67: Bad news ! At least one problem encoutered !
67: Please rerun this test with keyword /verbose !
 67/122 Test  #67: test_fix.pro .......................***Failed    0.28 sec

Version-Release number of selected component (if applicable):
0.9.3-8.cvs20130731
Comment 1 Fedora End Of Life 2013-09-16 12:49:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Yaakov Selkowitz 2014-07-22 23:32:53 EDT
These tests still fail on arm, and also on aarch64.
Comment 3 Orion Poplawski 2014-09-08 17:25:56 EDT
Figured out the test_finite issue, problem with defining NAN - https://sourceforge.net/p/gnudatalanguage/bugs/621/

The test_fix issue has to do with the undefined operation of converting a negative floating point value to an unsigned integer.  Filed https://sourceforge.net/p/gnudatalanguage/bugs/622/, but it's not a real problem in my view.
Comment 4 Menanteau Guy 2014-09-12 04:47:49 EDT
Problem test_infinite is also present on ppc64le arch.
I confirm this problem is corrected for ppc64le with patch described in https://sourceforge.net/p/gnudatalanguage/bugs/621/ (see Comment 3)
Comment 5 Menanteau Guy 2014-09-12 04:49:18 EDT
Problem test_infinite is also present on ppc64le arch.
I confirm this problem is corrected for ppc64le with patch described in https://sourceforge.net/p/gnudatalanguage/bugs/621/ (see Comment 3)
Comment 6 Jan Kurik 2015-07-15 10:46:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 7 Fedora End Of Life 2016-11-24 06:00:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Ngo Than 2017-01-30 06:41:18 EST
this issue is fixed in gdl-0.9.6-10.fc26

Note You need to log in before you can comment on or make changes to this bug.